# $Revision: 1.24 $, $Date: 2008/07/27 22:20:07 $
Summary:	Idesk allows You to create desktop icons
Summary(pl.UTF-8):	Idesk umożliwia tworzenie ikon na pulpicie
Name:		idesk
Version:	0.7.5
Release:	2
License:	BSD
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/idesk/%{name}-%{version}.tar.bz2
# Source0-md5:	beb48c97815c7b085e3b3d601297fbb8
URL:		http://idesk.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imlib2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Idesk allows creation of desktop icons. Feature quite nice, and not
provided by all window managers. The icon graphics are either from a
PNG or SVG (vector) file and support some eyecandy effects like
transparency. Each icon can be configured to run one or more shell
commands and the actions which run those commands are completely
configurable.

%description -l pl.UTF-8
Idesk umożliwia tworzenie ikon na pulpicie - cecha przydatna, ale nie
oferowana przez wszystkich zarządców okien. Grafiki ikon pochodzą z
plików PNG lub (wektorowych) SVG i wspierają niektóre efekty takie
jak przezroczystość. Każda ikona może być skonfigurowana do
uruchamiania jednego lub większej liczby poleceń powłoki, a akcje
uruchamiające te polecenia są w pełni konfigurowalne.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/idesk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: idesk.spec,v $
Revision 1.24  2008/07/27 22:20:07  arekm
- release 2

Revision 1.23  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.21  2006/03/23 20:29:47  megabajt
- modular xorg deps

Revision 1.20  2005/12/18 23:45:53  pawelb
- up to 0.7.5
- [bugfix] the background changer system works fine now.

Revision 1.19  2005/10/17 12:55:26  prism
- 0.7.4

Revision 1.18  2005/08/26 19:34:23  qboosh
- updated pl

Revision 1.17  2005/08/22 16:05:09  spider
- extended description

Revision 1.16  2005/08/08 15:49:04  kolodko
- up to 0.7.3, fixed bug with CaptionTip
- rm Makefile patch
- STBR

Revision 1.15  2005/06/01 10:35:39  megabajt
- up to 0.7.2

Revision 1.14  2005/02/06 20:29:48  qboosh
- BR: ac,am

Revision 1.13  2005/02/02 04:14:51  charles
- updated md5

Revision 1.12  2005/02/02 03:41:42  charles
- updated to 0.7.1
- "regular" build (configure, make...)

Revision 1.11  2005/02/01 23:56:37  czucz
- fixed BRs

Revision 1.10  2005/01/26 01:23:37  czucz
- updated to 0.6.1
- added doc, fixed URL

Revision 1.9  2004/07/11 13:04:17  qboosh
- URL fix, unified Source0 URL

Revision 1.8  2004/07/10 20:33:04  havner
- update to 0.5.6

Revision 1.7  2004/02/19 20:56:40  qboosh
- dropped paths patch, added png patch, pass proper cflags, BR: libstdc++-devel

Revision 1.6  2003/08/18 08:08:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:48:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.2  2002/12/04 18:20:57  qboosh
- cosmetics, added TODO

Revision 1.1  2002/12/04 13:00:21  depesz
- initial release
- STBR
